# azure.cognitiveservices.search.autosuggest package

## Submodules

- azure.cognitiveservices.search.autosuggest.models module
- azure.cognitiveservices.search.autosuggest.operations module

## Module contents

class `azure.cognitiveservices.search.autosuggest.``AutoSuggestClient`(endpoint, credentials)

  Bases: `azure.cognitiveservices.search.autosuggest.operations._auto_suggest_client_operations.AutoSuggestClientOperationsMixin`, `msrest.service_client.SDKClient`

  Autosuggest supplies search terms derived from a root text sent to the service. The terms Autosuggest supplies are related to the root text based on similarity and their frequency or ratings of usefulness in other searches. For examples that show how to use Autosuggest, see [Search using AutoSuggest](https://docs.microsoft.com/en-us/rest/api/cognitiveservices/bing-autosuggest-api-v7-reference).

  Variables: | config (AutoSuggestClientConfiguration) – Configuration for client.

  Parameters:

  - endpoint (str) – Supported Cognitive Services endpoints (protocol and hostname, for example: “https://westus.api.cognitive.microsoft.com”, “https://api.cognitive.microsoft.com”).
  - credentials (None) – Subscription credentials which uniquely identify client subscription.

class `azure.cognitiveservices.search.autosuggest.``AutoSuggestClientConfiguration`(endpoint, credentials)

  Bases: `msrest.configuration.Configuration`

  Configuration for AutoSuggestClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - endpoint (str) – Supported Cognitive Services endpoints (protocol and hostname, for example: “https://westus.api.cognitive.microsoft.com”, “https://api.cognitive.microsoft.com”).
  - credentials (None) – Subscription credentials which uniquely identify client subscription.